.EmailCopyOption
{
    position: absolute;
    top: 0;
    z-index: 1000;

    width: 100%;
    max-width: 600px;

    visibility: hidden;
    opacity: 0%;

    display: flex;
    flex-direction: column;
    align-items: center;

    padding: 1rem;
    background-color: rgba(20, 20, 20, 0.85);
    box-shadow: inset 0px 0px 15px rgba(0,0,0,0.5);

    /* Prevent text selection while dragging */
	-webkit-user-select: none;
	-ms-user-select: none;
	user-select: none;

    transition-property: opacity;
    transition-duration: 0.2s;
    transition-timing-function: ease-in;
}

.EmailCopyOption i
{
    position: relative;
    cursor: pointer;
    align-self: flex-end;
    
    font-size: 1.5rem;
    color: white;
    text-shadow: 2px 2px black;

    transition-property: color;
    transition-duration: 0.1s;
    transition-timing-function: ease-in;
}

.EmailCopyOption img
{
    position: relative;
    margin-top: 2rem;
    width: 200px;
}

.EmailCopyOption h1
{
    margin: 0;
    margin-top: 3rem;
    color: white;
    text-align: center;
    width: 85%;
    text-shadow: 2px 2px black;
}

.EmailCopyOption p
{
    margin: 2rem 0rem;
    color: rgb(200, 200, 200);
    text-align: justify;
    width: 90%;
}

.EmailCopyOption div
{
    position: relative;
    margin-top: 2rem;

    display: flex;
    flex-direction: row;
}

.EmailCopyAccept
{
    position: relative;
    cursor: pointer;
    padding: 0.5rem 2rem;

    font-size: 1.2rem;
    font-weight: bold;
    color: white;

    background-color: red;
    box-shadow: inset 0px 0px 15px rgba(0,0,0,0.3);

    margin-right: 1rem;

    transition-property: background-color;
    transition-duration: 0.1s, 0.1s;
    transition-timing-function: ease-in;
}

.EmailCopyCancel
{
    position: relative;
    cursor: pointer;
    padding: 0.5rem 2rem;

    font-size: 1.2rem;
    font-weight: bold;
    color: black;

    background-color: white;
    box-shadow: inset 0px 0px 15px rgba(0,0,0,0.2);

    margin-left: 1rem;

    transition-property: background-color, color;
    transition-duration: 0.1s, 0.1s;
    transition-timing-function: ease-in;
}

@media (hover: hover)
{
    .EmailCopyOption i:hover
    {
        color: rgb(200, 0, 0);
    }

    .EmailCopyAccept:hover
    {
        background-color: black;
    }

    .EmailCopyCancel:hover
    {
        background-color: black;
        color: white;
    }
}